include:
  # Include kokkuri to define CI pipelines for building and
  # publishing production suitable artifacts.
  - project: 'repos/releng/kokkuri'
    file: 'includes/images.yaml'
  - project: 'repos/data-engineering/workflow_utils'
    ref: v0.16.0
    file: '/gitlab_ci_templates/pipelines/javascript_lib_repo.yml'

variables:
  POST_RELEASE_VERSION_BUMP: patch
  RELEASE_BRANCH: master

stages:
  - test
  - deploy

run-test-variant:
  extends: .kokkuri:build-and-run-image
  stage: test
  variables:
    BUILD_VARIANT: test
  rules:
    # Run pipeline for merge request events
    - if: $CI_PIPELINE_SOURCE == 'merge_request_event'